<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link rel="stylesheet" href="/css/app.css"> <!-- http://localhost:3000/ là vào public rồi. Do đây là thành phần tĩnh nên mặc định đã vào public rồi -->
</head>
<body>
    <div class="app">
        {{!-- <header>
            <h1>HEADER</h1> <!-- Phần header khi chuyển sang trang khác thì vẫn giữ nguyên -->
        </header> --}}
        {{> header}} <!-- lấy file bên trong partials -->
        <div class="container"> <!-- Phần body sẽ bị thay đổi khi chuyển sang trang khác -->
            {{{body}}} 
        </div>
        {{!-- <footer>
            <h1>FOOTER</h1> <!-- Phần footer khi chuyển sang trang khác thì vẫn giữ nguyên -->
        </footer> --}}
        <!--{{> footer}}  lấy file bên trong partials -->
    </div>
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
</body>
</html>